#
# spec file for package subversion (Version 1.1.4)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  apache2-devel-packages blt db-devel docbook_4 freetype2 gcc-c++ java2 libapr0 libstdc++ libstdc++-devel libxml2 libxml2-devel libxslt neon neon-devel openssl-devel perl-XML-DOM perl-XML-Parser python python-devel python-imaging python-tk swig tcl tcl-devel tix tk x-devel-packages
# usedforbuild    aaa_base acl attr bash bind9-utils bison cpio cpp cyrus-sasl db devs diffutils e2fsprogs file filesystem fileutils fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip kbd less libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail sh-utils shadow strace syslogd sysvinit tar texinfo textutils timezone unitedlinux-release unzip util-linux vim zlib-devel IBMJava2-SDK apache2 apache2-devel apache2-prefork autoconf automake binutils blt bzip2 cracklib db-devel docbook_4 expat freetype2 gcc gcc-c++ gdbm gettext libapr0 libstdc++-devel libtool libxml2 libxml2-devel libxslt neon neon-devel openssl openssl-devel perl perl-XML-DOM perl-XML-Parser python python-devel python-imaging python-tk rpm swig tcl tcl-devel tix tk xdevel xshared zlib

Name:         subversion
Version:      1.1.4
Release:      2
#
%define	apxs	/usr/sbin/apxs2
%define	apache_libexecdir	%(%{apxs} -q LIBEXECDIR)
%define	apache_sysconfdir	%(%{apxs} -q SYSCONFDIR)
#
%define site_python	%(python -c "import distutils.sysconfig; print distutils.sysconfig.get_python_lib()")
#
%define	docbook_xsl_version	1.68.1
#
%define viewcvs_dir /srv/viewcvs
%define mydocdir %_defaultdocdir/%name
#
PreReq:       %insserv_prereq %fillup_prereq
#
Summary:      A Concurrent Versioning system similar to but better than CVS.
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
License:      Apache, Other License(s), see package
Group:        Development/Tools/Version Control
URL:          http://subversion.tigris.org
Source0:      subversion-1.1.x.tar.bz2
Source1:      subversion.conf
Source2:      subversion.README.SuSE
Source3:      http://prdownloads.sourceforge.net/docbook/docbook-xsl-%{docbook_xsl_version}.tar.bz2
Source5:      subversion-excludes.txt
Source6:      subversion.doc.conf
Source7:      subversion.viewcvs-cvs.tar.bz2
Source8:      subversion.viewcvs.conf
Source9:      subversion.rcsvnserve
Source10:     subversion.sysconfig.svnserve
Source11:     subversion.cvs2svn-trunk.tar.bz2
Source42:     subversion.svngrep.sh
#
# build fixes
Patch20:      subversion-swig-perl-install_vendor.patch
Patch21:      subversion-python_bytecode-path-pr1131.patch 
Patch22:      subversion-1.1.x-COMPILE_CXX.dif
Patch23:      subversion-compile_warnings.patch
#
Patch31:      subversion-usrlocal.patch
#
Patch41:      subversion.viewcvs.forbidden-hide_cvsroot_CAN-2004-0915.patch
Patch42:      subversion.viewcvs-buglink.patch
Patch43:      subversion.viewcvs.escapeurl_CAN-2004-1062.patch
#

%description
Subversion does the same thing CVS does (Concurrent Versioning System) but has
major enhancements compared to CVS.

http://subversion.tigris.org

%package doc
Group:        Development/Tools/Version Control
Summary:      A Concurrent Versioning System Similar to, but Better than CVS

%description doc
Subversion does the same things CVS does (Concurrent Versioning System)
but has major enhancements compared to CVS.

http://subversion.tigris.org



%package devel
Group:        Development/Libraries/C and C++
Summary:      Development package for Subversion developers.
Requires:     subversion = %{version}

%description devel
The subversion-devel package includes the static libraries and include files
for developers interacting with the subversion package.

%package tools
Group:        Development/Tools/Version Control
Summary:      Tools for Subversion

%description tools
Tools for Subversion



%package perl
Group:        Development/Tools/Version Control
Summary:      Allows Perl scripts to directly use Subversion repositories.
Requires:     subversion = %{version}
Requires:     perl >= 5.8
Requires:     swig

%description perl
Provides Perl (SWIG) support for Subversion.



%package python
Group:        Development/Tools/Version Control
Summary:      Allows Python scripts to directly use Subversion repositories.
Requires:     subversion = %{version}
Requires:     swig

%description python
Provides Pythong (SWIG) support for Subversion.



%package server
Group:        Development/Tools/Version Control
Summary:      Apache server module for Subversion server.
Requires:     subversion = %{version}
Requires:     apache2

%description server
The subversion-server package adds the Subversion server Apache module to
the Apache directories and configuration.

http://subversion.tigris.org

%package -n cvs2svn
Version:      1.2.1
Release:      8
Provides:     subversion-cvs2svn
Obsoletes:    subversion-cvs2svn
Requires:     swig
Group:        Development/Tools/Version Control
Summary:      Converts CVS repositories to Subversion repositories
%define pyver %(python -c 'import sys; print sys.version[:3]')
Requires:     python >= %pyver, python < %{pyver}.99

%description -n cvs2svn
Converts CVS repositories to Subversion repositories.

See /usr/share/doc/packages/cvs2svn directory for more information.



%package -n viewcvs
Version:      1.0
Release:      15
Requires:     subversion-python
Provides:     subversion-viewcvs
Obsoletes:    subversion-viewcvs
Group:        Development/Tools/Version Control
Summary:      ViewCVS - Browse a Subversion Repository with a Web Browser

%description -n viewcvs
ViewCVS can browse directories, change logs, and do specific revisions
of files. It can display diffs between versions and show selections of
files based on tags or branches. In addition, ViewCVS has "annotation"
or "blame" support, Bonsai-like query facilities, template-based page
generation, and support for individually configurable virtual hosts. It
also includes support for CvsGraph -- a program to graphically display
the revision trees and branches.



Authors:
--------
    The ViewCVS Group:
        * Greg Stein
        * Tanaka Akira
        * Tim Cera
        * Peter Funk
        * Jay Painter

%prep
%setup -q -n subversion-1.1.x -a 3 -a 7 -a 11
#
%patch20
%patch21
%patch22
%patch23 -p1
#
%patch31
pushd viewcvs-cvs
%patch41
%patch42
%patch43
popd
%{__mv} -v docbook-xsl-%{docbook_xsl_version} doc/book/tools/xsl

%build
with_jdk=none
for i in \
/usr/%{_lib}/BEAJava2-1.4.2 \
/usr/%{_lib}/SunJava2-1.4.2 \
/usr/%{_lib}/jvm/java-1.4.2-sun \
/usr/lib/jvm/java-1.4.2-sun \
/usr/%{_lib}/jvm/java-1.4.2-ibm \
/usr/%{_lib}/jvm/IBMJava2-1.4.2 \
/usr/lib/BEAJava2-1.4.2 \
/usr/lib/SunJava2-1.4.2 \
/usr/lib/jvm/java-1.4.2-sun \
/usr/lib/IBMJava2-1.4 \
; do
if [ -d "$i" ] ; then
with_jdk="$i"
break
fi
done
if [ "$with_jdk" != "none" ] ; then
with_jdk="--with-jdk=$with_jdk"
echo with_jdk > with_jdk
else
with_jdk=""
rm -f with_jdk
fi
# ### these possibly need further discussion
# swig_pydir = @libdir@/svn-python/libsvn
# swig_pydir_extra = @libdir@/svn-python/svn
mv Makefile.in{,.}
sed "
s@^swig_pydir = .*@swig_pydir = %{site_python}/libsvn@
s@^swig_pydir_extra = .*@swig_pydir_extra = %{site_python}/svn@
" < Makefile.in. > Makefile.in
diff -u Makefile.in. Makefile.in || true
sh -x autogen.sh
export CFLAGS="$(%{apxs} -q CFLAGS) -Wall -g" 
./configure \
	--prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-editor="vim -c 'set tw=72 et' " \
	--with-neon=%{_prefix} \
	--with-apr=%{_prefix} \
	--with-apr-util=%{_prefix} \
	--with-apxs=%{apxs} \
	--with-zlib \
	$with_jdk \
	--with-jikes=no \
	--enable-swig-bindings="" \
	--enable-javahl \
	--disable-mod-activation
make %{?jobs:-j%jobs}
# Build python bindings
#make swig-py %{?jobs:-j%jobs}
# Build perl bindings
#make swig-pl
#
if [ "$with_jdk" != "" ] ; then
#javahl-java javahl-javah javahl-lib
: #make javahl-java %{?jobs:-j%jobs}
: #make javahl-javah %{?jobs:-j%jobs}
: #make javahl %{?jobs:-j%jobs}
fi
#
# yuck..
export PATH=$PWD/subversion/svnversion:$PATH
make doc-all-html

%install
rm -rf $RPM_BUILD_ROOT
if [ -f with_jdk ] ; then
with_jdk=install-javahl
else
with_jdk=
fi
make DESTDIR=$RPM_BUILD_ROOT install   $with_jdk
%perl_process_packlist
%find_lang %name
#
cp -Lav %{S:42} $RPM_BUILD_ROOT/usr/bin/svngrep
#
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/
cp -avL contrib/client-side/psvn/*.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/
#
mkdir -p $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d
cp -av %{S:1} $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/subversion.conf
cp -av %{S:6} $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/subversion.doc.conf
cp -av %{S:8} $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/subversion.viewcvs.conf
# subversion-doc
mkdir -p %buildroot/%mydocdir/
mkdir html
cp -av doc/book/book/*.html doc/book/book/*.css	html/
cp -av doc/book/book/images			html/
cp -av doc/programmer/design/svn-design.html	html/
cp -av doc/book/misc-docs/misc-docs.html	html/
find html -name .svn -print0 | xargs -0 rm -rf
find html -name "*.ppt" -print0 | xargs -0 rm -rf
#
cp -av %{S:2} README.SuSE
cp -av subversion/mod_authz_svn/INSTALL %buildroot/%mydocdir/README.mod_authz_svn
cp -av README.SuSE BUGS CHANGES COPYING subversion/LICENSE html %buildroot/%mydocdir/
#
find %buildroot/%mydocdir -type d | sed '
s:%buildroot:%dir :
/\/html\//{
w files.subversion.doc.d
d
}
w files.subversion.d
d
'
find %buildroot/%mydocdir -type f | sed '
s:%buildroot:%doc :
/\/html\/\|\.pdf$/{
w files.subversion.doc.f
d
}
w files.subversion.f
d
'
cat files.subversion.{d,f} > files.subversion
cat %name.lang >> files.subversion
cat files.subversion.doc.{d,f} > files.subversion.doc
cd cvs2svn-trunk
make install DESTDIR=$RPM_BUILD_ROOT
cd ..
#
# tools
mkdir -p   $RPM_BUILD_ROOT/usr/share/subversion/
cp -a tools $RPM_BUILD_ROOT/usr/share/subversion/
rm -rf $RPM_BUILD_ROOT/usr/share/subversion/tools/cvs2svn
find $RPM_BUILD_ROOT html \( -name .svn -o -name CVS -o -name tests \) -type d | xargs rm -rfv
# viewcvs
pushd .
cd viewcvs-cvs/
./viewcvs-install --prefix "%{viewcvs_dir}" --destdir "$RPM_BUILD_ROOT"
sed '
s@^#docroot.*@docroot = /viewcvs-docroot@
s@^default_root.*@default_root = your_unnamed_project@
s@^cvsgraph_conf.*@cvsgraph_conf = %{viewcvs_dir}/cvsgraph.conf@
s@^hr_funout.*@hr_funout = 1@
s@^show_changed_paths.*@show_changed_paths = 0@
/^cvs_roots/,/^$/s/^/###/
/^#svn_roots/,/^$/c\
svn_roots:\
	your_unnamed_project : /srv/svn/repos/<your_unnamed_project> , \
	another_project : /srv/svn/repos/<another_project> \
#
' < viewcvs.conf.dist > $RPM_BUILD_ROOT%{viewcvs_dir}/viewcvs.conf
diff -up viewcvs.conf.dist $RPM_BUILD_ROOT%{viewcvs_dir}/viewcvs.conf || true
popd
find $RPM_BUILD_ROOT%{viewcvs_dir} -type d | \
sed "s@$RPM_BUILD_ROOT@%dir @" > files.subversion.viewcvs
find $RPM_BUILD_ROOT%{viewcvs_dir} -type f | \
sed "s@$RPM_BUILD_ROOT@@;/\/templates\/\|\.conf$/s@^@%config (noreplace) @" >> files.subversion.viewcvs
#
#
#
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
cp -a %_sourcedir/subversion.rcsvnserve $RPM_BUILD_ROOT/etc/init.d/svnserve
ln -sv /etc/init.d/svnserve $RPM_BUILD_ROOT/usr/sbin/rcsvnserve
cp -a %_sourcedir/subversion.sysconfig.svnserve $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.svnserve
#

%post
%{fillup_and_insserv -n svnserve svnserve}
%{run_ldconfig}

%postun
%{insserv_cleanup}

%files -f files.subversion
%defattr(-,root,root)
#
%attr(754,root,root) /etc/init.d/svnserve
%attr(754,root,root) /usr/sbin/rcsvnserve
/var/adm/fillup-templates/sysconfig.svnserve
#
%attr(755,root,root) /usr/bin/svn
%attr(755,root,root) /usr/bin/svnadmin
%attr(755,root,root) /usr/bin/svndumpfilter
%attr(755,root,root) /usr/bin/svnlook
%attr(755,root,root) /usr/bin/svnserve
%attr(755,root,root) /usr/bin/svnversion
%attr(755,root,root) /usr/bin/svngrep
%{_libdir}/libsvn*so*
%doc %{_mandir}/man?/svn*
#
%dir /usr/share/emacs/site-lisp
/usr/share/emacs/site-lisp/*

%files python
%defattr(-,root,root)
#%dir %{site_python}
#%dir %{site_python}/svn
#%dir %{site_python}/libsvn
#%{site_python}/libsvn/*
#%{site_python}/svn/*

%files doc -f files.subversion.doc
%defattr(-,root,root)
%dir %{apache_sysconfdir}/conf.d
%config (noreplace) %{apache_sysconfdir}/conf.d/subversion.doc.conf

%files devel
%defattr(-,root,root)
%dir /usr/include/subversion-1
%{_libdir}/libsvn*.a
%{_libdir}/libsvn*.la
/usr/include/subversion-1/*

%files -n cvs2svn
%defattr(-,root,root)
%doc cvs2svn-trunk/{BUGS,COMMITTERS,COPYING,README,design-notes.txt,verify-cvs2svn,www/cvs2svn.html}
%attr(755,root,root) /usr/bin/cvs2svn
#%dir %{site_python}/cvs2svn_rcsparse
#%{site_python}/cvs2svn_rcsparse/*

%files tools
%defattr(-,root,root)
%dir /usr/share/subversion
/usr/share/subversion/tools

%files server
%defattr(-,root,root)
%dir %{apache_sysconfdir}/conf.d
%config (noreplace) %{apache_sysconfdir}/conf.d/subversion.conf
%dir %{apache_libexecdir}
%{apache_libexecdir}/mod_dav_svn.*
%{apache_libexecdir}/mod_authz_svn.*

%files -n viewcvs -f files.subversion.viewcvs
%defattr(-,root,root)
%dir %{apache_sysconfdir}/conf.d
%config (noreplace) %{apache_sysconfdir}/conf.d/subversion.viewcvs.conf

%changelog -n subversion
* Sun May 01 2005 - olh@suse.de
- add a simple svngrep script to simplify grep -r in repositories
* Sun May 01 2005 - olh@suse.de
- rcsvnserve had a hardcoded requirement for userid/groupid svn
  this is now tuneable via a sysconfig variable
* Sun May 01 2005 - olh@suse.de
- update to docbook-xsl-1.68.1.tar.gz
- update to 1.1.4
  User-visible-changes:
- Client:
  * fixed: 'svn merge' can cause broken working copy (issue #2222)
  * fixed: 'svn commit' fails when schedule-delete dir has local mod (r11980)
  * fixed: 'svn st -u nonexistent_file' segfault (issue #2127)
  * fixed: 'svn cp wc wc' utf8 conversion error (r13111)
  * fixed: confusing error message about "wc not locked" (issue #2174)
- Server:
  * fixed: nasty (though unusual) performance bug in FSFS commits (r13222-3)
  * fixed: FSFS memory leak when auto-merging large tree (r13193)
  * fixed: FSFS memory leak in 'svnadmin hotcopy' (r13218, 13465, 13468)
  * fixed: FSFS segfault when encountering empty data reps (r13683)
  * fixed: two dataloss bugs in svndumpfilter (r12630, r12636)
  * fixed: wasteful memory usage in svndumpfilter (r12637, r12640)
  * fixed: mod_dav_svn segfaults when client sends bogus paths (issue #2199)
* Wed Apr 20 2005 - ro@suse.de
- accept swig 1.3.24
* Tue Mar 29 2005 - poeml@suse.de
- subversion-doc apache configuration: fix invalid mixing of +/-
  with non-+/- syntax in Options directive
* Fri Mar 04 2005 - olh@suse.de
- restore old java checks
* Thu Mar 03 2005 - olh@suse.de
- update cvs2svn to version 1.2.1, rev r1422
  * Fix cvs2svn's dumpfile output to work after Subversion's r12645.
  will also improve conversion speed
* Wed Feb 23 2005 - olh@suse.de
- build swig-pl without make -jN to avoid broken dependencies
* Tue Feb 22 2005 - ro@suse.de
- search also for "other" java on a biarch platform
* Sat Feb 19 2005 - olh@suse.de
- use lib macro to find java package
* Wed Feb 16 2005 - schwab@suse.de
- Don't override $EDITOR.
* Tue Feb 15 2005 - uli@suse.de
- cope with jpackage-compliant IBMJava2 (fixes s390*)
* Sun Jan 23 2005 - olh@suse.de
- set docroot=/viewcvs-docroot in viewcvs.conf
  handle SVN_VIEWCVS_MODPYTHON in apache2 subversion.viewcvs.conf
* Mon Jan 17 2005 - olh@suse.de
- update to 1.1.3
- update viewcvs and cvs2svn to current cvs/svn status
* Sat Jan 08 2005 - olh@suse.de
- update viewcvs, includes the DESTDIR patch
* Fri Jan 07 2005 - olh@suse.de
- build java bindings
* Thu Jan 06 2005 - olh@suse.de
- update to 1.1.2
  drop subversion-keywords_on_add.patch
  http://svnbook.red-bean.com/svnbook-1.1/ch07s02.html#svn-ch-7-sect-2.4
- add 2 security patches for viewcvs
  subversion.viewcvs.forbidden-hide_cvsroot_CAN-2004-0915.patch (#48989)
  subversion.viewcvs.escapeurl_CAN-2004-1062.patch (#49086)
- update to docbook-xsl-1.67.2.tar.gz
- update viewcvs and cvs2svn to current cvs/svn status
- rename subversion-cvs2svn to cvs2svn
- rename subversion-viewcvs to viewcvs
* Thu Oct 14 2004 - olh@suse.de
- update to 1.0.9
  User-visible-changes:
- Server:
  * fixed: 'svn ls' HTTP performance regression
  * fixed: 'svn log -v' hiding too much info on 'empty' revisions.
* Thu Oct 14 2004 - ro@suse.de
- added libgcrypt, libgpg-error to neededforbuild
* Fri Sep 24 2004 - olh@suse.de
- update to 1.0.8
  CAN-2004-0749: mod_authz_svn fails to protect metadata (#45610)
  Version 1.0.8
  User-visible-changes:
  * fixed: mod_authz_svn path and log-message metadata leaks.
  Version 1.0.7
  User-visible-changes:
  * fixed: 'svn st -u' crash (r10841)
  * fixed: potential repos corruption; ensure stdin/out/err always open
  * fixed: allow propnames containing ":" to be fetched via http://
  * fixed: allow user to interrupt between authentication prompts
  * fixed: work around +t directory-creation bug in APR
  * various small fixes to Book
  Developer-visible changes:
  * fix library dependencies for bindings
  * perl bindings: various fixes
* Wed Sep 01 2004 - olh@suse.de
- add psvn.el
* Fri Aug 27 2004 - olh@suse.de
- update cvs2svn to 1.0.0 status, rev 1368
  update viewcvs to todays status
* Mon Aug 09 2004 - olh@suse.de
- update cvs2svn to 1.0rc4 status, rev 1322
  update viewcvs to todays status
  update to docbook-xsl-1.65.1.tar.gz
* Tue Aug 03 2004 - olh@suse.de
- build perl bindings, allow make -jN
* Thu Jul 29 2004 - poeml@suse.de
- fix path in README.SuSE
- fix fillup of /etc/sysconfig/svnserve
* Tue Jul 27 2004 - olh@suse.de
- update to rev 10424 from 1.0.x branch, 1.0.6 status
* Tue Jul 06 2004 - poeml@suse.de
- add subversion.viewcvs-buglink.patch from James Henstridge, plus
  re.I modifier to match case insensitively
* Tue Jul 06 2004 - poeml@suse.de
- update cvs2svn to r1214
- update viewcvs to current CVS snapshot
* Mon Jul 05 2004 - poeml@suse.de
- fix "select for diff" in viewcvs (patch by Heinrich
  Stamerjohanns)
* Mon Jun 14 2004 - olh@suse.de
- update to rev 9955 from 1.0.x branch, 1.0.5 status
* Mon May 10 2004 - olh@suse.de
- remove Requires: -<release> (#40278)
* Sun May 09 2004 - olh@suse.de
- add subversion-1.0.1-exploit-old_timestamp_format.patch (#39774)
* Mon Apr 19 2004 - olh@suse.de
- update to rev 9429 from 1.0.x branch, 1.0.2 status
* Mon Mar 08 2004 - olh@suse.de
- update to rev 8925 from 1.0.x brancht, almost 1.0.1 status
* Thu Mar 04 2004 - poeml@suse.de
- add patch for ViewCVS
  http://cvs.sourceforge.net/viewcvs.py/viewcvs/viewcvs/lib/ezt.py?r1=1.22&r2=1.23
* Mon Mar 01 2004 - olh@suse.de
- update to rev 8871 from 1.0.x branch
* Sun Feb 22 2004 - olh@suse.de
- update to 0.99.0 (1.0.0-beta1), from 1.0.x branch, rev 8806
* Sat Jan 24 2004 - olh@suse.de
- update to 0.37.0 from 1.0-stabilization branch
  allow swig 1.3.21
* Mon Sep 08 2003 - poeml@suse.de
- subversion-viewcvs: explicitely allow access to the
  /srv/viewcvs/www/cgi directory, because we can not take it for
  granted that apache2 allows it by default [#29729]
* Fri Aug 29 2003 - poeml@suse.de
- README.SuSE: add documentation on file permissions; fold in
  feedback from Heinrich Stamerjohanns
* Fri Aug 29 2003 - mcihar@suse.cz
- subversion-cvs2svn requires python
* Wed Aug 27 2003 - olh@suse.de
- do not install the book.pdf
* Mon Aug 18 2003 - olh@suse.de
- update to 0.27.0, revision 6740
  update viewcvs to todays cvs status
* Sun Aug 10 2003 - olh@suse.de
- update to pre 0.27, revision 6695
* Sun Aug 10 2003 - olh@suse.de
- add rcsvnserve
  update hook template, svnlook is in /usr/bin
  update viewcvs to todays cvs status
* Wed Jul 30 2003 - poeml@suse.de
- get CFLAGS from apxs, so they match the ones that apr and apache2
  were built with
- "make external-install local-install" targets instead of make
  install, to work avoid hard coded pulling of the revision number
  from the svn working copy in the revision-install target
* Fri Jul 25 2003 - olh@suse.de
- update to 0.26.0, revision 6576
* Sun Jul 20 2003 - olh@suse.de
- split packages subversion-doc and subversion-viewcvs
  use SVN_DOC instead of SVN_DOCU
  use SVN_VIEWCVS to enable the scriptalias
* Sat Jul 12 2003 - olh@suse.de
- update to 0.25.0, revision 6456
  use SVN_DOCU to provide html documentation via apache2
* Sat Jul 05 2003 - olh@suse.de
- add subversion-python_bytecode-path-pr1131.patch
  do not compile in RPM_BUILD_ROOT, use builddir instead
* Tue Jun 17 2003 - olh@suse.de
- update to 0.24.1 final, revision 6254
  update svnbook.red-bean.com/book.pdf
* Tue Jun 17 2003 - kukuk@suse.de
- Add missing directory to filelist
* Mon May 19 2003 - olh@suse.de
- update to 0.23.0 final, revision 5981
  add subversion-infopages.patch
* Sat May 10 2003 - olh@suse.de
- update to 0.22.1 final, revision 5877
  use apache-2.0.45 apr
* Fri May 02 2003 - olh@suse.de
- update to 0.22.0 , revision 5780
  build with newer apr
* Fri Apr 11 2003 - ro@suse.de
- fix deprecated head/tail calling syntax (-1)
* Wed Mar 19 2003 - olh@suse.de
- update to 0.19.1 , revision 5394
* Sun Mar 16 2003 - olh@suse.de
- update to 0.19.1 , revision 5349
  update book.pdf
* Tue Feb 18 2003 - poeml@suse.de
- python might live below /usr/lib64
* Thu Feb 13 2003 - olh@suse.de
- update to 0.17.1 , revision 4877
  finally a working cvs2svn version, use the cvs2svn-mmacek branch
* Mon Feb 10 2003 - poeml@suse.de
- remove hints about SuSEconfig, it's not needed. Add README.SuSE
  about server configuration
- drop /etc/apache2/modules/subversion, it is no longer needed
- MPM specific links to mod_dav_svn.so are no longer needed
- server requires apache2, and a Require on apr is no longer valid
* Mon Feb 10 2003 - olh@suse.de
- split packages cvs2svn and tools
* Thu Feb 06 2003 - olh@suse.de
- add hint about SuSEconfig run in subversion.conf example
* Sun Feb 02 2003 - olh@suse.de
- add subversion-0.17.1-editor.diff
  subversion-0.17.1-keywords_on_add.diff
* Tue Jan 28 2003 - olh@suse.de
- add subversion book.pdf from the website
  add svnserve and svnversion
  remove outdated info docu
  build and add html documentation
  new apache2 config file format, extend example in subversion.conf
* Wed Jan 22 2003 - olh@suse.de
- update to 0.17.1 , revision 4508
* Tue Jan 21 2003 - olh@suse.de
- update to 0.17.0 , revision 4474
* Thu Dec 05 2002 - poeml@suse.de
- update to 0.16.0 , revision 3987
- use macro <apache2-devel-packages> in #neededforbuild
- get rid of hardcoded MPM names
* Wed Dec 04 2002 - olh@suse.de
- update to 0.15.0 , revision 3985
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
- changed neededforbuild <xdevel> to <>
* Sun Oct 13 2002 - olh@suse.de
- update to 0.14.3 , revision 3360
  add subversion configfiles for apache2
* Sat Oct 12 2002 - olh@suse.de
- update to 0.14.3 , revision 3353
  add more dir path to file list, add more docu
  apxs is in /usr/sbin
* Thu Sep 19 2002 - olh@suse.de
- update to 0.14.3 , revision 3188
  use python-imaging instead of python-tkinter
* Sat Aug 31 2002 - poeml@suse.de
- update to last release 0.14.2 (svn update was broken when
  repositories contained renames)
* Tue Aug 27 2002 - poeml@suse.de
- use apxs2, building a common mod_dav_svn.so for all three MPMs
- don't let apxs add an entry for mod_dav_svn.so into httpd.conf
* Sun Aug 11 2002 - olh@suse.de
- update to 0.14.1, rev 2935, build html docs
* Thu Aug 01 2002 - olh@suse.de
- update to 2840, add svnadmin and svnlock
* Tue Jul 30 2002 - olh@suse.de
- remove apr, use apache2 instead, update to 2787
* Fri Jul 26 2002 - olh@suse.de
- initial SuSE release with version 0.14.0.2720
  built with apr_20020725163531 and apr-util-20020725
